echo "┌─────┬──────────────────────────────────────────────────────────────────┬─────┐"
echo "│EH 🧐│                          abc-einsort                              │V1.01│"
echo "├─────┴──────────────────────────────────────────────────────────────────┴─────┤"
echo "│ Funktion:                                                                    │"
echo "│ - Legt im aktuellen Verzeichnis die Unterverzeichnisse von A…Z und 0…9 an.   │"
echo "│ - Verschiebt alle Dateien oder Verzeichnisse gemäß ihres Anfangsbuchstabens. │"
echo "├──────────────────────────────────────────────────────────────────────────────┤"

# Array
array=( 0 1 2 3 4 5 6 7 8 9 a b c d e f g h i j k l m n o p q r s t u v w x y z )

echo "│ … Lege Verzeichnisse an und ordne Dateien ein                                │"
echo -n "│   "

for value in "${array[@]}"              # Alle Elemente des Arrays
do
  echo -n $value
  mkdir $value 2>/dev/null              # Verzeichnis anlegen
  mv $value* $value 2>/dev/null         # Dateien/Verzeichnisse verschieben a..z
  mv ${value^}* $value 2>/dev/null      # Dateien/Verzeichnisse verschieben A..Z
done


echo "                                       │"
echo "│ Fertig                                                                       │"
echo "└──────────────────────────────────────────────────────────────────────────────┘"
